- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# QWSTslibMouseHandler Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qmousetslib_qws.h.

`#include <qmousetslib_qws.h>`

Inheritance diagram for QWSTslibMouseHandler:
[legend]

List of all members.

## Public Member Functions
| QWSTslibMouseHandler (const QString &driver=QString(), const QString &device=QString())
| ~QWSTslibMouseHandler ()
void | suspend ()
void | resume ()
void | calibrate (const QWSPointerCalibrationData *data)
void | clearCalibration ()
## Protected Attributes
QWSTslibMouseHandlerPrivate * | d
## Friends
class | QWSTslibMouseHandlerPrivate

## Constructor & Destructor Documentation

QWSTslibMouseHandler | ( | const QString & | driver = `QString()`,
|  | const QString & | device = `QString()`
| ) |  | `[explicit]`

~QWSTslibMouseHandler | ( |  | ) |

## Member Function Documentation

void suspend | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QWSMouseHandler.

void resume | ( |  | ) | `[virtual]`

Search for all occurrences

Implements QWSMouseHandler.

void calibrate | ( | const QWSPointerCalibrationData * | data | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWSCalibratedMouseHandler.

void clearCalibration | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWSCalibratedMouseHandler.

## Friends And Related Function Documentation

friend class QWSTslibMouseHandlerPrivate `[friend]`

Search for all occurrences

Definition at line 71 of file qmousetslib_qws.h.

## Member Data Documentation

QWSTslibMouseHandlerPrivate* d `[protected]`

Search for all occurrences

Reimplemented from QWSCalibratedMouseHandler.

Definition at line 72 of file qmousetslib_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qmousetslib_qws.h

QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler
QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler QWSTslibMouseHandler